List intent sources
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidscope_key?|nullrepository_id?|nullbranch_ref?|nullenvironment?|nullcursor?string|nulllimit?LimitRange
1 <= value <= 100Default
25Successful Response
application/json- response
has_more?Has MoreDefault
falseitems*array<>next_cursor?string|nullcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/sources'Example Response
{ "has_more": false, "items": [ { "created_at": "2019-08-24T14:15:22Z", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "created_by_name": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "locator": { "property1": "string", "property2": "string" }, "revision": 0, "scope_key": "string", "source_key": "string", "state": "active", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string"}